python-shapely_1.5.13-1build1_amd64.deb


Advertisement

Description

python-shapely - geometric objects, predicates, and operations (Python 2)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-shapely
Package version: 1.5.13
Package release: 1build1
Package architecture: amd64
Package type: deb
Installed size: 558 B
Download size: 142.21 KB
Official Mirror: archive.ubuntu.com
Shapely is a package for manipulation and analysis of 2D features. Its capabilities include: * calculating the point set unions, intersections, or differences of features * predicate tests on features: intersects, touches, contains, and more. Supported geometric types are points, line strings, linear rings, polygons, and homogeneous or heterogeneous collections thereof. This is the Python 2 version of the package.

Alternatives

    Download

    Source package: python-shapely

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-shapely deb package:
      # sudo apt-get install python-shapely

    Files

    • /usr/lib/python2.7/dist-packages/Shapely-1.5.13.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/Shapely-1.5.13.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/Shapely-1.5.13.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/shapely/__init__.py
    • /usr/lib/python2.7/dist-packages/shapely/_buildcfg.py
    • /usr/lib/python2.7/dist-packages/shapely/affinity.py
    • /usr/lib/python2.7/dist-packages/shapely/coords.py
    • /usr/lib/python2.7/dist-packages/shapely/ctypes_declarations.py
    • /usr/lib/python2.7/dist-packages/shapely/ftools.py
    • /usr/lib/python2.7/dist-packages/shapely/geos.py
    • /usr/lib/python2.7/dist-packages/shapely/impl.py
    • /usr/lib/python2.7/dist-packages/shapely/iterops.py
    • /usr/lib/python2.7/dist-packages/shapely/linref.py
    • /usr/lib/python2.7/dist-packages/shapely/ops.py
    • /usr/lib/python2.7/dist-packages/shapely/predicates.py
    • /usr/lib/python2.7/dist-packages/shapely/prepared.py
    • /usr/lib/python2.7/dist-packages/shapely/strtree.py
    • /usr/lib/python2.7/dist-packages/shapely/topology.py
    • /usr/lib/python2.7/dist-packages/shapely/validation.py
    • /usr/lib/python2.7/dist-packages/shapely/wkb.py
    • /usr/lib/python2.7/dist-packages/shapely/wkt.py
    • /usr/lib/python2.7/dist-packages/shapely/algorithms/__init__.py
    • /usr/lib/python2.7/dist-packages/shapely/algorithms/cga.py
    • /usr/lib/python2.7/dist-packages/shapely/examples/__init__.py
    • /usr/lib/python2.7/dist-packages/shapely/examples/dissolve.py
    • /usr/lib/python2.7/dist-packages/shapely/examples/geoms.py
    • /usr/lib/python2.7/dist-packages/shapely/examples/intersect.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/__init__.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/base.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/collection.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/geo.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/linestring.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/multilinestring.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/multipoint.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/multipolygon.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/point.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/polygon.py
    • /usr/lib/python2.7/dist-packages/shapely/geometry/proxy.py
    • /usr/lib/python2.7/dist-packages/shapely/speedups/__init__.py
    • /usr/lib/python2.7/dist-packages/shapely/speedups/_speedups.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/shapely/vectorized/__init__.py
    • /usr/lib/python2.7/dist-packages/shapely/vectorized/_vectorized.x86_64-linux-gnu.so
    • /usr/share/doc/python-shapely/README.rst.gz
    • /usr/share/doc/python-shapely/changelog.Debian.gz
    • /usr/share/doc/python-shapely/copyright

    Changelog

    2016-01-19 - Matthias Klose <doko@ubuntu.com> python-shapely (1.5.13-1build1) xenial; urgency=medium * No-change rebuild to drop python3.4 support.

    2015-10-11 - Bas Couwenberg <sebastic@debian.org> python-shapely (1.5.13-1) unstable; urgency=medium * New upstream release. * Add myself to Uploaders.

    2015-08-28 - Bas Couwenberg <sebastic@debian.org> python-shapely (1.5.12-1) unstable; urgency=medium * Team upload. * New upstream release. * Move package from collab-maint to pkg-grass. * Update copyright file, changes: - Update Source URL for GitHub releases - Change CC-BY shortname to CC-BY-3.0 - Add license & copyright for ftools.py * Use dh_clean for additional file removals. * Refresh patches. * Bump minimum required libgeos-dev to 3.3.0. * Add doc-base registration for Shapely documentation. * Use dh_clean for additional file removals.

    2015-08-17 - Bas Couwenberg <sebastic@debian.org> python-shapely (1.5.9-1) unstable; urgency=medium * Team upload. [ Pietro Battiston ] * Suggests: python-shapely-doc (Closes: #765417, #765418) * Build-depend on python3-all-dev and not on python{,3}-dev (Closes: #793583) * Delete cythonized files so that they are recreated * Build-depend on python{,3}-numpy for cythoning "vectorize.pyx" [ Johan Van de Wauw ] * Mangle version in watch file * Add gbp.conf * Imported Upstream version 1.5.9 * Remove cythonize patch [ Bas Couwenberg ] * Update watchfile with sepwatch changes. * Drop dependencies on libgeos-c1. (Closes: #795259, #795883) * Bump debhelper compatibility to 9. * Add dependency on ${sphinxdoc:Depends} to python-shapely-doc.

    2014-09-26 - Pietro Battiston <me@pietrobattiston.it> python-shapely (1.4.3-1) unstable; urgency=low * Imported Upstream version 1.4.3 - Build documentation which now uses sphinx. - Install documentation in new package python-shapely-doc. - Strip non-needed file _geos.pxi. - python{,3}-dev now needed as Build-Depends. * Clarified BSD version in debian/copyright. * Updated policy version.

    2014-01-20 - Pietro Battiston <me@pietrobattiston.it> python-shapely (1.3.0-1) unstable; urgency=low * Imported Upstream version 1.3.0 (Closes: #731566) - Works with libgeos >= 3.4.2 (Closes: #733667, #735808) - Removed non-deterministic test "cascaded_union.txt" (Closes: #666655) * Deleted obsolete patches. * Require python >= 2.6. * Switched to pbuild, added support for python 3. * Updated watch file: look for releases on github (they contain .pyx files). * Updated Homepage field. * Updated policy version.

    2012-03-10 - Pietro Battiston <me@pietrobattiston.it> python-shapely (1.2.14-1) unstable; urgency=low * New upstream release. * Removed now obsolete python 2.7 support patch; updated other patches. * Cython autogenerated .c file is now deleted via override. * Introduced upstream patch which fixes broken test (Closes: #663210). * Added "set -e" before loop in debian/rules. * Updated policy version.

    2011-12-21 - Pietro Battiston <me@pietrobattiston.it> python-shapely (1.2.13-1) unstable; urgency=low * New upstream release. * Now using gbp-pq to manage patches. * Fixed test for Python 2.7 with upstream patch (Closes: #652183). * Tests are now ran with all supported Python versions. * Updated debian/copyright format.

    2011-06-30 - Pietro Battiston <me@pietrobattiston.it> python-shapely (1.2.10-1) unstable; urgency=low * New upstream release. - Introduces Cython speedups: updated dependencies accordingly. - Patched setup.py to recreate .c file from .pyx file.

    2011-02-11 - Pietro Battiston <me@pietrobattiston.it> python-shapely (1.2.8-1) unstable; urgency=low * New upstream release. * Use dh_python2. * Remove obsolete patch "typo-in-dll-test". * Added python-matplotlib (used by eline.lengthxample scripts) in Suggests.

    Advertisement
    Advertisement